Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.session
Class SerializeOnlySessionHandler

    java.lang.Object
      org.mule.session.SerializeOnlySessionHandler

All Implemented Interfaces:
  SessionHandler

Direct Known Subclasses:
  SerializeAndEncodeSessionHandler

    public class SerializeOnlySessionHandler

extends Object
implements SessionHandler

A session handler used to store and retrieve session information on an event. The MuleSession information is stored as a header on the message (does not support Tcp, Udp, etc. unless the MuleMessage object is serialised across the wire). The session is stored in the "MULE_SESSION" property as an array of bytes (byte[])

Field Summary
`protected Log` | `logger`

Constructor Summary
`SerializeOnlySessionHandler()`

Method Summary
`String` | `getSessionIDKey()` Deprecated. This method is no longer needed and will be removed in the next major release
`protected MuleSession` | `removeNonSerializableProperties(MuleSession session)`
`MuleSession` | `retrieveSessionInfoFromMessage(MuleMessage message)`
`void` | `retrieveSessionInfoFromMessage(MuleMessage message, MuleSession session)` Deprecated. Use retrieveSessionInfoFromMessage(MuleMessage message) instead
`void` | `storeSessionInfoToMessage(MuleSession session, MuleMessage message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected transient Log logger

Constructor Detail

### SerializeOnlySessionHandler

    public SerializeOnlySessionHandler()

Method Detail

### retrieveSessionInfoFromMessage

    public MuleSession retrieveSessionInfoFromMessage(MuleMessage message)
                                               throws MuleException

  Specified by:
    `retrieveSessionInfoFromMessage` in interface `SessionHandler`
  Throws:
    `MuleException`

### retrieveSessionInfoFromMessage

    public void retrieveSessionInfoFromMessage(MuleMessage message,
                                               MuleSession session)
                                        throws MuleException

  Deprecated. Use retrieveSessionInfoFromMessage(MuleMessage message) instead

  Specified by:
    `retrieveSessionInfoFromMessage` in interface `SessionHandler`
  Throws:
    `MuleException`

### storeSessionInfoToMessage

    public void storeSessionInfoToMessage(MuleSession session,
                                          MuleMessage message)
                                   throws MuleException

  Specified by:
    `storeSessionInfoToMessage` in interface `SessionHandler`
  Throws:
    `MuleException`

### removeNonSerializableProperties

    protected MuleSession removeNonSerializableProperties(MuleSession session)

### getSessionIDKey

    public String getSessionIDKey()

  Deprecated. This method is no longer needed and will be removed in the next major release

  Description copied from interface: `SessionHandler`
  The property name of the session id to use when creating the Mule session. by default the property name "ID" will be used. If no property was set on the session called "ID" a session id will be automatically generated

  Specified by:
    `getSessionIDKey` in interface `SessionHandler`
  Returns:
    the property name of the session id that is set on the session

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.